Bug 838919

Summary: yun update dependency not met for gsk7bas
Product: Red Hat Enterprise Linux 5 Reporter: rustle_99
Component: yumAssignee: packaging-team-maint
Status: CLOSED NOTABUG QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 5.7CC: zpavlas
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-04 11:14:33 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description rustle_99 2012-07-10 08:47:04 EDT
Description of problem:

error generated when running 'yum -y --nogpgcheck update gsk7bas' 

Version-Release number of selected component (if applicable):
on a Redhat 5.7 server 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
# yum -y --nogpgcheck update gsk7bas
Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Update Process
Package(s) gsk7bas available, but not installed.
No Packages marked for Update
root@chidatpci02# yum install emacs  emacs-common giflib.x86_64 Xaw3d.x86_64
Loaded plugins: rhnplugin, security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package Xaw3d.x86_64 0:1.5E-10.1 set to be updated
--> Processing Dependency: libXpm.so.4()(64bit) for package: Xaw3d
--> Processing Dependency: libXmu.so.6()(64bit) for package: Xaw3d
--> Processing Dependency: libXt.so.6()(64bit) for package: Xaw3d
---> Package emacs.x86_64 0:21.4-24.el5 set to be updated
---> Package emacs-common.x86_64 0:21.4-24.el5 set to be updated
---> Package giflib.x86_64 0:4.1.3-7.3.3.el5 set to be updated
--> Running transaction check
---> Package libXmu.x86_64 0:1.0.2-5 set to be updated
---> Package libXpm.x86_64 0:3.5.5-3 set to be updated
---> Package libXt.x86_64 0:1.0.2-3.2.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=========================================================================================================================================
 Package                     Arch                  Version                           Repository                                     Size
=========================================================================================================================================
Installing:
 Xaw3d                       x86_64                1.5E-10.1                         rhel5-x86_64-server.2012-04-04                155 k
 emacs                       x86_64                21.4-24.el5                       rhel5-x86_64-server.2012-04-04                1.7 M
 emacs-common                x86_64                21.4-24.el5                       rhel5-x86_64-server.2012-04-04                 10 M
 giflib                      x86_64                4.1.3-7.3.3.el5                   rhel5-x86_64-server.2012-04-04                 39 k
Installing for dependencies:
 libXmu                      x86_64                1.0.2-5                           rhel5-x86_64-server.2012-04-04                 63 k
 libXpm                      x86_64                3.5.5-3                           rhel5-x86_64-server.2012-04-04                 44 k
 libXt                       x86_64                1.0.2-3.2.el5                     rhel5-x86_64-server.2012-04-04                181 k

Transaction Summary
=========================================================================================================================================
Install       7 Package(s)
Upgrade       0 Package(s)

Total download size: 13 M
Is this ok [y/N]: y
Downloading Packages:
(1/7): giflib-4.1.3-7.3.3.el5.x86_64.rpm                                                                          |  39 kB     00:00
(2/7): libXpm-3.5.5-3.x86_64.rpm                                                                                  |  44 kB     00:00
(3/7): libXmu-1.0.2-5.x86_64.rpm                                                                                  |  63 kB     00:00
(4/7): Xaw3d-1.5E-10.1.x86_64.rpm                                                                                 | 155 kB     00:00
(5/7): libXt-1.0.2-3.2.el5.x86_64.rpm                                                                             | 181 kB     00:00
(6/7): emacs-21.4-24.el5.x86_64.rpm                                                                               | 1.7 MB     00:00
(7/7): emacs-common-21.4-24.el5.x86_64.rpm                                                                        |  10 MB     00:00
-----------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                     19 MB/s |  13 MB     00:00
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
xorg-x11-fonts-ISO8859-1-75dpi is needed by emacs-21.4-24.el5.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])


Expected results:


Additional info:
Comment 1 Zdeněk Pavlas 2013-04-04 11:14:33 EDT
Do you have xorg-x11-fonts-ISO8859-1-75dpi installed already?  I assume yes, and your rpmdb is corrupt in some way, so that rpm can't lookup the
provides correctly.

 Eg. try:

rpm -q --provides xorg-x11-fonts-ISO8859-1-75dpi
rpm -q --whatprovides xorg-x11-fonts-ISO8859-1-75dpi

...if the first shows php and the second doesn't, try:

rpm --rebuilddb